/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.view.action;

import org.eclipse.jface.action.IAction;
import org.postgresforest.tool.action.ConfigAction;
import org.postgresforest.tool.bean.ConfigInfo;
import org.postgresforest.tool.db.GSCdata;
import org.postgresforest.tool.util.ErrorLog;
import org.postgresforest.tool.util.MsgDialogUtil;
import org.postgresforest.tool.util.SessionProperty;
import org.postgresforest.tool.view.config.ConfigView;

/**
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class DelConfigAction extends ActionBase {

    public static final String ID = "org.postgresforest.tool.view.action.DelConfigAction";
	/* (非 Javadoc)
	 * @see org.eclipse.ui.IActionDelegate#run(org.eclipse.jface.action.IAction)
	 */
	public void run(IAction action) {
		ConfigView view = (ConfigView)m_view;
		String id = view.getSelectId();

		if(id.equals(ConfigInfo.FOREST_DEFAULT_CONFIG)){
		    
		    MsgDialogUtil.err("errors.gsc.config.del.default");
		    return;
		}else if(id != ""){
			//削除

			ConfigAction configAction = new ConfigAction((GSCdata)SessionProperty.get("gsc"));
			try {
				configAction.del(id);
			} catch (Exception e1) {
				e1.printStackTrace();
				ErrorLog.log("", e1);
			}
		}
		
		m_view.update();

	}


}
